<?php
$tdatacompanyinfo = array();
$tdatacompanyinfo[".searchableFields"] = array();
$tdatacompanyinfo[".ShortName"] = "companyinfo";
$tdatacompanyinfo[".OwnerID"] = "";
$tdatacompanyinfo[".OriginalTable"] = "companyinfo";


$tdatacompanyinfo[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacompanyinfo[".originalPagesByType"] = $tdatacompanyinfo[".pagesByType"];
$tdatacompanyinfo[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacompanyinfo[".originalPages"] = $tdatacompanyinfo[".pages"];
$tdatacompanyinfo[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacompanyinfo[".originalDefaultPages"] = $tdatacompanyinfo[".defaultPages"];

//	field labels
$fieldLabelscompanyinfo = array();
$fieldToolTipscompanyinfo = array();
$pageTitlescompanyinfo = array();
$placeHolderscompanyinfo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscompanyinfo["English"] = array();
	$fieldToolTipscompanyinfo["English"] = array();
	$placeHolderscompanyinfo["English"] = array();
	$pageTitlescompanyinfo["English"] = array();
	$fieldLabelscompanyinfo["English"]["CompanyID"] = "#";
	$fieldToolTipscompanyinfo["English"]["CompanyID"] = "";
	$placeHolderscompanyinfo["English"]["CompanyID"] = "";
	$fieldLabelscompanyinfo["English"]["CompanyName"] = "ຊື່ບໍລິສັດ";
	$fieldToolTipscompanyinfo["English"]["CompanyName"] = "";
	$placeHolderscompanyinfo["English"]["CompanyName"] = "";
	$fieldLabelscompanyinfo["English"]["PersonContact"] = "ຊື່ຜູ້ຕິດຕໍ່";
	$fieldToolTipscompanyinfo["English"]["PersonContact"] = "";
	$placeHolderscompanyinfo["English"]["PersonContact"] = "";
	$fieldLabelscompanyinfo["English"]["Tel"] = "ເບີໂທ";
	$fieldToolTipscompanyinfo["English"]["Tel"] = "";
	$placeHolderscompanyinfo["English"]["Tel"] = "";
	$fieldLabelscompanyinfo["English"]["Email"] = "Email";
	$fieldToolTipscompanyinfo["English"]["Email"] = "";
	$placeHolderscompanyinfo["English"]["Email"] = "";
	$fieldLabelscompanyinfo["English"]["Address"] = "ທີ່ຢູ່";
	$fieldToolTipscompanyinfo["English"]["Address"] = "";
	$placeHolderscompanyinfo["English"]["Address"] = "";
	if (count($fieldToolTipscompanyinfo["English"]))
		$tdatacompanyinfo[".isUseToolTips"] = true;
}


	$tdatacompanyinfo[".NCSearch"] = true;



$tdatacompanyinfo[".shortTableName"] = "companyinfo";
$tdatacompanyinfo[".nSecOptions"] = 0;

$tdatacompanyinfo[".mainTableOwnerID"] = "";
$tdatacompanyinfo[".entityType"] = 0;
$tdatacompanyinfo[".connId"] = "eflejob_at_localhost";


$tdatacompanyinfo[".strOriginalTableName"] = "companyinfo";

	



$tdatacompanyinfo[".showAddInPopup"] = false;

$tdatacompanyinfo[".showEditInPopup"] = false;

$tdatacompanyinfo[".showViewInPopup"] = false;

	$tdatacompanyinfo[".listAjax"] = true;
//	temporary
//$tdatacompanyinfo[".listAjax"] = false;

	$tdatacompanyinfo[".audit"] = false;

	$tdatacompanyinfo[".locking"] = false;


$pages = $tdatacompanyinfo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacompanyinfo[".edit"] = true;
	$tdatacompanyinfo[".afterEditAction"] = 1;
	$tdatacompanyinfo[".closePopupAfterEdit"] = 1;
	$tdatacompanyinfo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacompanyinfo[".add"] = true;
$tdatacompanyinfo[".afterAddAction"] = 1;
$tdatacompanyinfo[".closePopupAfterAdd"] = 1;
$tdatacompanyinfo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacompanyinfo[".list"] = true;
}



$tdatacompanyinfo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacompanyinfo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacompanyinfo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacompanyinfo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacompanyinfo[".printFriendly"] = true;
}



$tdatacompanyinfo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacompanyinfo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacompanyinfo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacompanyinfo[".isUseAjaxSuggest"] = true;



			

$tdatacompanyinfo[".ajaxCodeSnippetAdded"] = false;

$tdatacompanyinfo[".buttonsAdded"] = false;

$tdatacompanyinfo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacompanyinfo[".isUseTimeForSearch"] = false;


$tdatacompanyinfo[".badgeColor"] = "2F4F4F";


$tdatacompanyinfo[".allSearchFields"] = array();
$tdatacompanyinfo[".filterFields"] = array();
$tdatacompanyinfo[".requiredSearchFields"] = array();

$tdatacompanyinfo[".googleLikeFields"] = array();
$tdatacompanyinfo[".googleLikeFields"][] = "CompanyID";
$tdatacompanyinfo[".googleLikeFields"][] = "CompanyName";
$tdatacompanyinfo[".googleLikeFields"][] = "PersonContact";
$tdatacompanyinfo[".googleLikeFields"][] = "Tel";
$tdatacompanyinfo[".googleLikeFields"][] = "Email";
$tdatacompanyinfo[".googleLikeFields"][] = "Address";



$tdatacompanyinfo[".tableType"] = "list";

$tdatacompanyinfo[".printerPageOrientation"] = 0;
$tdatacompanyinfo[".nPrinterPageScale"] = 100;

$tdatacompanyinfo[".nPrinterSplitRecords"] = 40;

$tdatacompanyinfo[".geocodingEnabled"] = false;










$tdatacompanyinfo[".pageSize"] = 20;

$tdatacompanyinfo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacompanyinfo[".strOrderBy"] = $tstrOrderBy;

$tdatacompanyinfo[".orderindexes"] = array();


$tdatacompanyinfo[".sqlHead"] = "SELECT CompanyID,  	CompanyName,  	PersonContact,  	Tel,  	Email,  	Address";
$tdatacompanyinfo[".sqlFrom"] = "FROM companyinfo";
$tdatacompanyinfo[".sqlWhereExpr"] = "";
$tdatacompanyinfo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacompanyinfo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacompanyinfo[".arrGroupsPerPage"] = $arrGPP;

$tdatacompanyinfo[".highlightSearchResults"] = true;

$tableKeyscompanyinfo = array();
$tableKeyscompanyinfo[] = "CompanyID";
$tdatacompanyinfo[".Keys"] = $tableKeyscompanyinfo;


$tdatacompanyinfo[".hideMobileList"] = array();




//	CompanyID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CompanyID";
	$fdata["GoodName"] = "CompanyID";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","CompanyID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CompanyID";

		$fdata["sourceSingle"] = "CompanyID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CompanyID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["CompanyID"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "CompanyID";
//	CompanyName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CompanyName";
	$fdata["GoodName"] = "CompanyName";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","CompanyName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "CompanyName";

		$fdata["sourceSingle"] = "CompanyName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CompanyName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["CompanyName"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "CompanyName";
//	PersonContact
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "PersonContact";
	$fdata["GoodName"] = "PersonContact";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","PersonContact");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PersonContact";

		$fdata["sourceSingle"] = "PersonContact";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PersonContact";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["PersonContact"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "PersonContact";
//	Tel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Tel";
	$fdata["GoodName"] = "Tel";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","Tel");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Tel";

		$fdata["sourceSingle"] = "Tel";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["Tel"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "Tel";
//	Email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Email";
	$fdata["GoodName"] = "Email";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","Email");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Email";

		$fdata["sourceSingle"] = "Email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["Email"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "Email";
//	Address
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Address";
	$fdata["GoodName"] = "Address";
	$fdata["ownerTable"] = "companyinfo";
	$fdata["Label"] = GetFieldLabel("companyinfo","Address");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Address";

		$fdata["sourceSingle"] = "Address";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Address";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacompanyinfo["Address"] = $fdata;
		$tdatacompanyinfo[".searchableFields"][] = "Address";


$tables_data["companyinfo"]=&$tdatacompanyinfo;
$field_labels["companyinfo"] = &$fieldLabelscompanyinfo;
$fieldToolTips["companyinfo"] = &$fieldToolTipscompanyinfo;
$placeHolders["companyinfo"] = &$placeHolderscompanyinfo;
$page_titles["companyinfo"] = &$pageTitlescompanyinfo;


changeTextControlsToDate( "companyinfo" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["companyinfo"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["companyinfo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_companyinfo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CompanyID,  	CompanyName,  	PersonContact,  	Tel,  	Email,  	Address";
$proto0["m_strFrom"] = "FROM companyinfo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CompanyID",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto6["m_sql"] = "CompanyID";
$proto6["m_srcTableName"] = "companyinfo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CompanyName",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto8["m_sql"] = "CompanyName";
$proto8["m_srcTableName"] = "companyinfo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "PersonContact",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto10["m_sql"] = "PersonContact";
$proto10["m_srcTableName"] = "companyinfo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Tel",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto12["m_sql"] = "Tel";
$proto12["m_srcTableName"] = "companyinfo";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Email",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto14["m_sql"] = "Email";
$proto14["m_srcTableName"] = "companyinfo";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Address",
	"m_strTable" => "companyinfo",
	"m_srcTableName" => "companyinfo"
));

$proto16["m_sql"] = "Address";
$proto16["m_srcTableName"] = "companyinfo";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "companyinfo";
$proto19["m_srcTableName"] = "companyinfo";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "CompanyID";
$proto19["m_columns"][] = "CompanyName";
$proto19["m_columns"][] = "PersonContact";
$proto19["m_columns"][] = "Tel";
$proto19["m_columns"][] = "Email";
$proto19["m_columns"][] = "Address";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "companyinfo";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "companyinfo";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="companyinfo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_companyinfo = createSqlQuery_companyinfo();


	
		;

						

$tdatacompanyinfo[".sqlquery"] = $queryData_companyinfo;



$tdatacompanyinfo[".hasEvents"] = false;

?>